classification
Title: PEP 3121, 384 Refactoring applied to zipimport module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Robin.Schreiber, brett.cannon, gregory.p.smith, serhiy.storchaka, superluser
Priority: normal Keywords: pep3121

Created on 2012-08-16 21:53 by Robin.Schreiber, last changed 2018-09-19 07:32 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
zipimport_pep3121-384_v0.patch Robin.Schreiber, 2012-08-16 21:53
Messages (2)
msg168421 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-16 21:53
Changes proposed in PEP3121 and PEP384 have now been applied to the zipimport module!
msg325725 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-09-19 07:32
zipimport have been rewritten in pure Python (issue25711).
History
Date User Action Args
2018-09-19 07:32:15serhiy.storchakasetstatus: open -> closed

nosy: + serhiy.storchaka
messages: + msg325725

resolution: out of date
stage: patch review -> resolved
2015-08-05 16:02:12eric.snowsetnosy: + brett.cannon, gregory.p.smith, superluser
stage: patch review

versions: + Python 3.6, - Python 3.4
2012-11-08 13:40:14Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:49:13belopolskylinkissue15787 dependencies
2012-08-16 21:53:54Robin.Schreibercreate